/*
Calls SHA-1 hash function on argument.
Gives same result as "sha1sum" command-line program.

Orion Sky Lawlor, olawlor@acm.org, 2006/02/20 (public domain)
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "osl/sha1.h"
#include "osl/sha1.cpp"

int main(int argc,char *argv[]) {
	SHA1_hasher c;
	c.addBytes(argv[1],strlen(argv[1]));
	SHA1_hash_t h=c.end();
	printf("SHA-1: ");
	for (int i=0;i<20;i++)
		printf("%02x",h.data[i]);
	printf("\n");
}
